GSSPROXY(8)

NAME
gssproxy - GssProxy Daemon

SYNOPSIS

gssproxy [options]

DESCRIPTION

gssproxy provides a daemon to manage access to GSSAPI credentials.

gssproxy consists of the gssproxy daemon (configured by the gssproxy.conf(5) file) and a GSSAPI interposer plugin (gssproxy-mech(8)).

OPTIONS

-D,--daemon
    Become a daemon after starting up.

-i,--interactive
    Run in the foreground, don't become a daemon.

-c,--config
    Specify a non-default config file. The default is /etc/gssproxy/gssproxy.conf. For reference on the config file syntax and options, consult the gssproxy.conf(5) manual page.

-s,--socket
    Specify a custom default socket name. This socket will be used by all sections that do not define an explicit socket.

-d,--debug
    Turn on debugging.

--version
    Print version number and exit.

SIGNALS

SIGTERM/SIGINT
    Informs the GssProxy to gracefully terminate all of its child processes and then shut down.

SIGHUP
    Tells the GssProxy to stop writing to its current debug file descriptors and to close and reopen them. This is meant to facilitate log rolling with programs like logrotate.

SEE ALSO

gssproxy.conf(5) and gssproxy-mech(8).

AUTHORS

GSS-Proxy - http://fedorahosted.org/gss-proxy